unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  uConnectForm, StdCtrls, dOPC, Buttons, ExtCtrls,dOpcBrowseDlg, opcda;

type
  TOPCConnectForm1 = class(TOPCConnectForm)
    eItemId: TEdit;
    Label1: TLabel;
    Label3: TLabel;
    lDataType: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    cRead: TCheckBox;
    cWrite: TCheckBox;
    bSelectItem: TButton;
    lNote: TLabel;
    procedure bSelectItemClick(Sender: TObject);
    procedure eItemIdExit(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  OPCConnectForm1: TOPCConnectForm1;

implementation

{$R *.DFM}

procedure TOPCConnectForm1.bSelectItemClick(Sender: TObject);
begin
 EItemId.Text := OPCBrowseItemDialog(OPCServer.Browser);
 eItemIdExit(Sender);
end;

procedure TOPCConnectForm1.eItemIdExit(Sender: TObject);
var
  Value : OleVariant;
  RAccess : integer;
begin
 lNote.Caption := '-';
 lDataType.Caption := '-';
 cRead.Checked := false;
 cWrite.Checked := false;
 cRead.Enabled := false;
 cWrite.Enabled := false;
 if eItemId.Text <> '' then
 begin
    if OPCServer.GetItemProperty(eItemId.Text,1,Value) then
      lDataType.Caption := VarToAStr(Value);
    if OPCServer.GetItemProperty(eItemId.Text,101,Value) then
      lNote.Caption := VarToAStr(Value);
    if OPCServer.GetItemProperty(eItemId.Text,5,Value) then
    begin
       RAccess := Value;
       cRead.Enabled := true;
       cWrite.Enabled := true;
       if (RAccess and OPC_READABLE) = OPC_READABLE then
           cRead.Checked := true;
       if (RAccess and OPC_WRITABLE) = OPC_WRITABLE then
          cWrite.Checked := true;
    end;
 end;
end;

end.
